SDL_HINT_RENDER_VSYNC(3)

NAME
SDL_HINT_RENDER_VSYNC - A variable controlling whether updates to the SDL screen surface should be synchronized with the vertical refresh, to avoid tearing.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_RENDER_VSYNC "SDL_RENDER_VSYNC"

DESCRIPTION
This hint overrides the application preference when creating a renderer.

The variable can be set to the following values:

• "0": Disable vsync. (default)

• "1": Enable vsync.

This hint should be set before creating a renderer.

AVAILABILITY
This hint is available since SDL 3.2.0.